#!/usr/bin/env python
# -*- coding: utf-8 -*-

# Copyright 2012 Liricus SRL <info@liricus.com.ar>

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Fra


#===============================================================================
# DOCS
#===============================================================================

"""This file is for distribute socialframe server

"""


#===============================================================================
# IMPORTS
#===============================================================================

import os

from ez_setup import use_setuptools
use_setuptools()

from setuptools import setup, find_packages

import socialframe_server


#===============================================================================
# CONSTANTS
#===============================================================================

setup(
    name=socialframe_server.__prj__,
    version=socialframe_server.__str_version__,
    description=socialframe_server.__short_description__,
    author=socialframe_server.__author__,
    author_email=socialframe_server.__email__,
    url=socialframe_server.__url__,
    download_url=socialframe_server.__download_url__,
    license=socialframe_server.__license__,
    keywords=socialframe_server.__keywords__,
    classifiers=socialframe_server.__classifiers__,
    packages=[pkg for pkg in find_packages() 
              if pkg.startswith("socialframe_server")],
    py_modules=["ez_setup"],
    scripts=["socialframe.py"],
    install_requires=socialframe_server.__dependencies__,
)
